libzypp: zypp::filesystem::TmpPath::Impl Class Reference

libzypp 17.25.10

Public Types | Public Member Functions | Private Attributes | List of all members
zypp::filesystem::TmpPath::Impl Class Reference

Clean or delete a directory on destruction. More...

Inheritance diagram for zypp::filesystem::TmpPath::Impl:
[legend]

## Public Types
enum | Flags { NoOp = 0 , Autodelete = 1L << 0 , KeepTopdir = 1L << 1 , CtorDefault = Autodelete }

## Public Member Functions
| Impl (const Pathname &path_r, Flags flags_r=CtorDefault)
| ~Impl ()
const Pathname & | path () const
bool | autoCleanup () const
void | autoCleanup (bool yesno_r)
Public Member Functions inherited from zypp::base::ReferenceCounted
| ReferenceCounted ()
| Default ctor. More...
| ReferenceCounted (const ReferenceCounted &rhs)
| Copy ctor. More...
virtual | ~ReferenceCounted ()
| Dtor. More...
ReferenceCounted & | operator= (const ReferenceCounted &)
| Assignment. More...
unsigned | refCount () const
| Return reference counter value. More...
void | ref () const
| Add a reference. More...
void | unref () const
| Release a reference. More...

## Private Attributes
Pathname | _path
Flags | _flags

## Additional Inherited Members
Static Public Member Functions inherited from zypp::base::ReferenceCounted
static void | add_ref (const ReferenceCounted *ptr_r)
| Called by zypp::intrusive_ptr to add a reference. More...
static void | release (const ReferenceCounted *ptr_r)
| Called by zypp::intrusive_ptr to add a reference. More...
Protected Member Functions inherited from zypp::base::ReferenceCounted
virtual std::ostream & | dumpOn (std::ostream &str) const
| Overload to realize std::ostream & operator<<. More...
virtual void | ref_to (unsigned) const
| Trigger derived classes after refCount was increased. More...
virtual void | unref_to (unsigned) const
| Trigger derived classes after refCount was decreased. More...
Related Functions inherited from zypp::base::ReferenceCounted
void | intrusive_ptr_add_ref (const ReferenceCounted *ptr_r)
| intrusive_ptr hook to add_ref. More...
void | intrusive_ptr_release (const ReferenceCounted *ptr_r)
| intrusive_ptr hook to release. More...
std::ostream & | operator<< (std::ostream &str, const ReferenceCounted &obj)
| Stream output. More...

## Detailed Description

Clean or delete a directory on destruction.

Definition at line 36 of file TmpPath.cc.

## Member Enumeration Documentation

## ◆ Flags

enum zypp::filesystem::TmpPath::Impl::Flags

Enumerator
NoOp |
Autodelete |
KeepTopdir |
CtorDefault |

Definition at line 40 of file TmpPath.cc.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::filesystem::TmpPath::Impl::Impl | ( | const Pathname & | path_r,
|  | Flags | flags_r = `CtorDefault`
| ) |  |
| inline

Definition at line 51 of file TmpPath.cc.

## ◆ ~Impl()

zypp::filesystem::TmpPath::Impl::~Impl | ( |  | ) |
| inline

Definition at line 55 of file TmpPath.cc.

## Member Function Documentation

## ◆ path()

const Pathname& zypp::filesystem::TmpPath::Impl::path | ( |  | ) | const
| inline

Definition at line 82 of file TmpPath.cc.

## ◆ autoCleanup() [1/2]

bool zypp::filesystem::TmpPath::Impl::autoCleanup | ( |  | ) | const
| inline

Definition at line 85 of file TmpPath.cc.

## ◆ autoCleanup() [2/2]

void zypp::filesystem::TmpPath::Impl::autoCleanup | ( | bool | yesno_r | ) |
| inline

Definition at line 88 of file TmpPath.cc.

## Member Data Documentation

## ◆ _path

Pathname zypp::filesystem::TmpPath::Impl::_path
| private

Definition at line 92 of file TmpPath.cc.

## ◆ _flags

Flags zypp::filesystem::TmpPath::Impl::_flags
| private

Definition at line 93 of file TmpPath.cc.

The documentation for this class was generated from the following file:

- zypp/TmpPath.cc